package org.appfuse.web;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.tapestry.IEngine;

public abstract class BasePage extends org.apache.tapestry.html.BasePage {
    protected final Log log = LogFactory.getLog(getClass());
    protected IEngine engine = null;

    public IEngine getEngine() {
        if (engine != null) {
            return engine;
        } else {
            return super.getEngine();
        }
    }
    
    public void setEngine(IEngine engine) {
        this.engine = engine;
    }
    
    public String format(String key, Object arg)
    {
        if (engine != null) {
            return "";
        } else {
            return super.format(key, arg);
        }
    }
}
